=head1 NAME

B<nodech> - Changes attributes at the group level in the xCAT cluster database.


=head1 SYNOPSIS

B<nodegrpch> I<group1,group2,...> I<table.column=value> [I<...>]

B<nodegrpch> {B<-v> | B<--version>}

B<nodegrpch> [B<-?> | B<-h> | B<--help>]


=head1 DESCRIPTION

The nodegrpch command is similar to the nodech command, but ensures that the parameters are
declared at the group level rather than the node specific level, and clears conflicting node 
specific overrides of the specified groups.   Using table.column=value will do a 
verbatim assignment.  If ",=" is used instead of "=", the specified value will be prepended to the 
attribute's comma separated list, if it is not already there.  If "^=" is used, the specified 
value will be removed from the attribute's comma separated list, if it is there.  You can also 
use "^=" and ",=" in the same command to essentially replace one item
in the list with another.  (See the Examples section.)

With these operators in mind, the unambiguous assignment operator is '=@'.  If you need, for example, to set
the nodehm.comments to =foo, you would have to do I<nodegrpch group1 nodehm.comments=@=foo>.

See the B<xcatdb> man page for an overview of each table.

The nodegrpch command also supports some short cut names as aliases to common attributes.  See the
B<nodels> man page for details.


=head1 OPTIONS

=over 10


=item B<-v|--version>

Command Version.

=item B<-?|-h|--help>

Display usage message.

=back


=head1 RETURN VALUE

=over 3

=item 0

The command completed successfully.

=item 1

An error has occurred.

=back


=head1 EXAMPLES

=over 2



=item *

To declare all members of ipmi group to have nodehm.mgt be ipmi

B<  nodegrpch> I<ipmi nodehm.mgt=ipmi>

=back


=head1 FILES

/opt/xcat/bin/nodegrpch


=head1 SEE ALSO

L<nodech(1)|nodech.1>, L<nodels(1)|nodels.1>, L<nodeadd(8)|nodeadd.8>, L<noderange(3)|noderange.3>
